
[ppc64] Makefile fixes

 - remove old checks target, no longer used
 - add -mtraceback=none, we dont use traceback tables any more
 - add check for -mcpu=power4, older toolchains dont support this option


---

 arch/ppc64/Makefile |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

diff -puN arch/ppc64/Makefile~ppc64-makefile_fixes arch/ppc64/Makefile
--- 25/arch/ppc64/Makefile~ppc64-makefile_fixes	2004-01-13 23:23:12.000000000 -0800
+++ 25-akpm/arch/ppc64/Makefile	2004-01-13 23:23:12.000000000 -0800
@@ -15,10 +15,6 @@
 
 KERNELLOAD	:= 0xc000000000000000
 
-ifeq ($(shell uname -m),ppc64)
-CHECKS		= checks
-endif
-
 HAS_BIARCH      := $(shell if $(CC) -m64 -S -o /dev/null -xc /dev/null > /dev/null 2>&1; then echo y; else echo n; fi;)
 ifeq ($(HAS_BIARCH),y)
 AS              := $(AS) -64
@@ -28,13 +24,17 @@ endif
 
 LDFLAGS		:= -m elf64ppc
 LDFLAGS_vmlinux	:= -Bstatic -e $(KERNELLOAD) -Ttext $(KERNELLOAD)
-CFLAGS		+= -msoft-float -pipe -Wno-uninitialized -mminimal-toc
+CFLAGS		+= -msoft-float -pipe -Wno-uninitialized -mminimal-toc \
+		   -mtraceback=none
 
+HAS_POWER4	:= $(shell if $(CC) -mcpu=power4 -S -o /dev/null -xc /dev/null > /dev/null 2>&1; then echo y; else echo n; fi;)
+ifeq ($(HAS_POWER4),y)
 ifeq ($(CONFIG_POWER4_ONLY),y)
 CFLAGS		+= -mcpu=power4
 else
 CFLAGS		+= -mtune=power4
 endif
+endif
 
 have_zero_bss := $(shell if $(CC) -fno-zero-initialized-in-bss -S -o /dev/null -xc /dev/null > /dev/null 2>&1; then echo y; else echo n; fi)
 

_
